<?php
	session_start();
	
	session_regenerate_id(TRUE);

	header("Cache-control: private");

	error_reporting(E_ERROR);
	
	require("core.php");

	if (isset($_POST['go']) and ($_POST['go'] == "index")) {
		header("Location: .");
	}

	if (isset($_POST['go']) and ($_POST['go'] == "reset")) {
		header("Location: reset.php");
	}
?>

<title>Login</title>

<style>

body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-size: 11px;
	font-family: 
<?php
	if (file_exists("data/fonts/body.txt")) {
		$font_body = file_get_contents("data/fonts/body.txt");
		echo "{$font_body},";
	}
?>
	arial, helvetica, sans-serif;
	background-color: #FFFFFF;
}

p, td {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input,.click {	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 250px; 
	font-family: 
<?php
	if (file_exists("data/fonts/input.txt")) {
		$font_input = file_get_contents("data/fonts/input.txt");
		echo "{$font_input},";
	}
?>
	arial, helvetica, sans-serif;
	font-size: 11px;
}

.input:focus {
      background: #ffffcc;
}

</style>

<?php
	if (!isset($_POST['username']) or empty($_POST['username']) or !isset($_POST['password']) or empty($_POST['password'])) {
		$_SESSION = array();
		session_destroy();
	}
	else {
		$put_username = trim($_POST['username']);

		/* Fun with crypt! */
		$put_password = sha1($_POST['password']);
		$put_password = md5($put_password);
		$put_password = crypt($put_password, $put_password);

		$err_username = "1";
		$err_password = "1";

		if ($put_username == file_get_contents("data/username.txt")) {
			$get_password = file_get_contents("data/password.txt");
			$last_login = "data/lastlog.txt";
			$logins = "data/logins.txt";
			$err_username = "0";
		}
		else {
			if (file_exists("data/members/active/$put_username") and file_exists("data/bb.txt") and !file_exists("data/members/active/$put_username/bb-lockout.txt")) {

				$get_password = file_get_contents("data/members/active/$put_username/password.txt");
				$last_login = "data/members/active/$put_username/bb-last.txt";
				$logins = "data/members/active/$put_username/bb-logins.txt";
				$err_username = "0";

				if (($get_password != $put_password) and (file_exists("data/bb-invalid.txt"))) {
				
					$max_invalid = file_get_contents("data/bb-invalid.txt");

					if (file_exists("data/members/active/$put_username/bb-invalid.txt")) {
						$count_invalid = file_get_contents("data/members/active/$put_username/bb-invalid.txt");
					}
					else {
						$count_invalid = "0";
					}
					
					$count_invalid = $count_invalid + 1;
					
					$fp_invalid_txt = fopen("data/members/active/$put_username/bb-invalid.txt", "w");
					fwrite($fp_invalid_txt, $count_invalid);
					fclose($fp_invalid_txt);
					
					if ($count_invalid >= $max_invalid) {
						touch("data/members/active/$put_username/bb-lockout.txt");
					}
				}
			}
		}
		
		if ($get_password == $put_password) {

			$_SESSION['logged_in'] = $_POST['username'];
			$_SESSION['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
			$_SESSION['maj_server'] = sha1($_SERVER['SERVER_NAME'] . dirname($_SERVER['SCRIPT_NAME']));

			$lastlog = date("YmdHis", time() + $offset);

			$fp_lastlog_txt = fopen($last_login, "w");
			fwrite($fp_lastlog_txt, $lastlog);
			fclose($fp_lastlog_txt);

			if (file_exists("data/bb.txt") and ($_SESSION['logged_in'] != file_get_contents("data/username.txt"))) {
				$fp_latest_login_txt = fopen("data/bb-last.txt", "w");
				fwrite($fp_latest_login_txt, $_SESSION['logged_in']);
				fclose($fp_latest_login_txt);
			}

			$login_count = file_get_contents($logins);
			$login_count = $login_count + 1;

			$login_count_file = fopen($logins, "w");
			fwrite($login_count_file, $login_count);
			fclose($login_count_file);

			$err_password = "0";
			
			if (file_exists("data/members/active/$put_username/bb-invalid.txt")) {
				unlink("data/members/active/$put_username/bb-invalid.txt");
			}

			header("Location: index.php");
		}
		else {
			$_SESSION = array();
			session_destroy();
		}
	}
?>

<table border="0" cellspacing="1" cellpadding="1">

<form enctype="multipart/form-data" action="login.php" method="post">

<tr><td>Username</td><td><input required autofocus class="input" type="text" maxlength="30" name="username"<?php if (!file_exists("data/autocomplete.txt")) { echo " autocomplete=\"off\""; } if ($err_username == "0") { echo " value=\"{$_POST['username']}\""; } ?>></td><?php if ($err_username == "0") { echo "<td><img src=\"images/widget.ok.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>The username you entered is correct.</td>"; } if ($err_username == "1") { echo "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>The username you entered is invalid.</td>"; } ?></tr>

<tr><td>Password</td><td><input required class="input" type="password" maxlength="128" name="password"<?php if (!file_exists("data/autocomplete.txt")) { echo " autocomplete=\"off\""; } ?>></td><?php if ($err_password == "1") { echo "<td><img src=\"images/widget.x.png\" border=\"0\" width=\"14\" height=\"14\"></td><td>The password you entered is invalid.</td>"; } ?></tr>

<tr><td></td><td><input class="click" type="submit" value="click here to login"></td></tr>

</form>

<form enctype="multipart/form-data" action="login.php" method="post">
<input type="hidden" name="go" value="index">
<tr><td></td><td><input class="click" type="submit" value="click here to go to the index page"></td></tr>
</form>

<?php if (!file_exists("data/lite.txt") and file_exists("data/reset.txt")) { ?>

<form enctype="multipart/form-data" action="login.php" method="post">
<input type="hidden" name="go" value="reset">
<tr><td></td><td><input class="click" type="submit" value="click here to reset your password"></td></tr>
</form>

<?php } ?>

</table>
